///******************************************************    
///	FileName: Expos.js
///	Action: 后台添加展会页面JS处理文件
///	Copyright(c)  2004-2008 网胜科技公司技术开发部
///	Writer: XYF
///	Create Date: 2008-1-2
///	Rewriter:
///	Rewrite Date:
///****************************************************** 
var rightIcon="../../../images/websen.gif"
var rightIcons="../../../images/icon_nothing.gif";
var txtjbos=new  Array("txtTitle","txtPlace","txtAuthorize","txtHomepage","txtShowArea","txtBusinessmen","txtSpectator","txtPrice","txtMinNum");
var Expo=new Array();
function $(id){return document.getElementById(id)}
function getobj(objName){
    if ($) {return eval('$("'+ objName +'")');}
    else {return eval('document.all["'+ objName +'"]');}
}

function oo(){$("yc").style.display="none"}

//失去焦点 
function Onblur(name){
    $(name).onblur =function (){
        if(!$(name).value==""){
            $("_"+name).innerHTML=""
        }
    }
}

//等到焦点
for(var i=0;i<txtjbos.length;i++){ 
    $(txtjbos[i]).onfocus =function (){
        for (var j=0;j<txtjbos.length;j++)
        {
            if (txtjbos[j]==event.srcElement.id){
                postobj(j);
            }
        }
    }
}

function postobj(num){
    obj = "txt"+num;
    document.getElementById(obj).innerHTML =expos[num];
}
//失去焦点
for(var i=0;i<txtjbos.length;i++){ $(txtjbos[i]).onblur =function ()
{
    for (var j=0;j<txtjbos.length;j++)
    {
        if (txtjbos[j]==event.srcElement.id){postob(j);}}}}
function postob(num)
{
    obj = "txt"+num;
    if ($(obj).innerHTML!="")
    {
        $(obj).innerHTML=""}
    else 
    {
        $(obj).innerHTML=ok;
    }
}
Onblur("txtFrontFor")
Onblur("txtUndertake")
Onblur("txtAidance")
Onblur("txtSummary")
Onblur("txtRange")
//时间处理
$("txtEndDate").onclick=function (){
    if (!$("Date").innerHTML==""){
        $("Date").innerHTML=""
    }
}

$("txtStartDate").onclick=function (){
    if (!$("Date").innerHTML==""){
        $("Date").innerHTML=""
    }
}
  
//提交
$("btnSave").onclick=function (){
    var ExposArray=new Array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
    //展会标题
    if ($(txtjbos[0]).value=="")
    {
        $("txt0").innerHTML=Error[0]
        ExposArray[0]=1
    }
    else if (!txtTitle())  ExposArray[0]=1;  
    //参展日期
    if ($("txtStartDate").value==""||$("txtEndDate").value=="")
    {
        $("Date").innerHTML=Error[15]
        ExposArray[14]=1
    }else {$("Date").innerHTML=ok}
    //展会地点
    if ($(txtjbos[1]).value=="")
    {
        $("txt1").innerHTML=Error[1]
        ExposArray[1]=1
    }
    else if (!txtPlace()) ExposArray[1]=1;
    //批准单位
    if ($(txtjbos[2]).value=="")
    {
        $("txt2").innerHTML=Error[2]
        ExposArray[2]=1
    }else if (!txtAuthorize()) ExposArray[2]=1;
    //主办单位
    if ($("txtFrontFor").value=="")
    {
        $("_txtFrontFor").innerHTML=Error[18]
        ExposArray[9]=1
    }
    else if (!txtFrontFor()) ExposArray[9]=1
    //承办单位
    if ($("txtUndertake").value=="")
    {
        $("_txtUndertake").innerHTML=Error[18]
        ExposArray[10]=1
    }else if (!txtUndertake()) ExposArray[10]=1
    //支持协办单位
    if ($("txtAidance").value=="")
    {
        $("_txtAidance").innerHTML=Error[18]
        ExposArray[11]=1
        }else if (!txtAidance()) ExposArray[11]=1
        //展会简介
    if ($("txtSummary").value=="")
    {
        $("_txtSummary").innerHTML=Error[18]
        ExposArray[12]=1
    }else if (!txtSummary()) ExposArray[12]=1
    //参展范围
    if($("txtRange").value=="")
    {
        $("_txtRange").innerHTML=Error[18]
        ExposArray[13]=1
    }else if(!txtRange()) ExposArray[13]=1
    //展会地址
    if (!txtHomepage()){ 
        ExposArray[3]=1
    }
    //展览面积
    if($("txtShowArea").value=="")
    {
        $("txt4").innerHTML=Error[4]
        ExposArray[4]=1
    }else if(!txtShowArea()) ExposArray[4]=1
    
    //商家
    if (!txtBusinessmen()){
        ExposArray[5]=1
    }
    
    //人数
    if (!txtSpectator()){ 
        ExposArray[6]=1
    }
    
    //单价
    if($("txtPrice").value=="")
    {
        $("txt7").innerHTML=Error[7]
        ExposArray[7]=1
    }else if (!txtPrice()) ExposArray[7]=1
    //定量
    if($("txtMinNum").value=="")
    {
        $("txt8").innerHTML=Error[8]
        ExposArray[8]=1
    }else if (!txtMinNum()) ExposArray[8]=1
    
    var flag=1;
    for (i=0;i<15;i++){
        if (ExposArray[i]==1){
            flag=0;
            break;
        }
    } 
    if(flag==0){
        return false;
    }
    else{
        return true;
    }
}
//方法
function  txtTitle(){
    if ($(txtjbos[0]).value==""){ 
        $("txt0").innerHTML=Error[0];
        return false;
    }
    else{
        $("txt0").innerHTML=ok;
        return true;
    }
}

function  txtPlace(){
    if ($(txtjbos[1]).value==""){ 
        $("txt1").innerHTML=Error[1];
        return false;
    }
    else {
        $("txt1").innerHTML=ok;
        return true;
    }
}

function txtAuthorize(){
    if ($(txtjbos[2]).value==""){
        $("txt2").innerHTML=Error[2]
        return false
    }
    else{
        $("txt2").innerHTML=ok
        return true
    }
}

function txtHomepage(){
    if ($(txtjbos[3]).value.replace(/\s/g,'') !=""){
        var urlreg=/http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/
        var url=$(txtjbos[3]).value    
        if (!urlreg.test(url)){
            $("txt3").innerHTML=Error[3]
            return false
        }else{
            $("txt3").innerHTML=ok
            return true
        } 
    }
}

function txtShowArea(){
    if ($(txtjbos[4]).value==""){
        $("txt4").innerHTML=Error[4]
        return false
    }
    else if (!isNumber($(txtjbos[4]).value)){
        $("txt4").innerHTML=Error[9]
        return false
    }
    else{
        $("txt4").innerHTML=ok
        return true
    }
}

function txtBusinessmen(){
     if ($(txtjbos[5]).value.replace(/\s/g,'') !=""){
        if ( !isNumber($(txtjbos[5]).value)){
            $("txt5").innerHTML=Error[10]
            return false
        }else {
            $("txt5").innerHTML=ok
            return true
        }
    }
    return true
}

function txtSpectator(){
     if ($(txtjbos[6]).value.replace(/\s/g,'') !=""){
        if ( !isNumber($(txtjbos[6]).value)){
            $("txt6").innerHTML=Error[11]
            return false
        }else {
            $("txt6").innerHTML=ok
            return true
        }
    }
    return true;
}

function txtPrice(){
    if ($(txtjbos[7]).value==""){
        $("txt7").innerHTML=Error[7]
        return false
    }
    else if (!isNumber($(txtjbos[7]).value)){
        $("txt7").innerHTML=Error[12]
        return false
    }
    else{
        $("txt7").innerHTML=ok
        return true 
    }
}

function txtMinNum(){
    if ($(txtjbos[8]).value==""){
        $("txt8").innerHTML=Error[8]
        return false
    }
    else if (!isNumber($(txtjbos[8]).value)){
        $("txt8").innerHTML=Error[13]
        return false
    }
    else{
        $("txt8").innerHTML=ok
        return true
    }
}
//主办单位
function  txtFrontFor(){
    if ($("txtFrontFor").value==""){
        $("_txtFrontFor").innerHTML=Error[18]
        return false
    }
    else if ($("txtFrontFor").value.length<2){
        $("_txtFrontFor").innerHTML=Error[17]
        return false
    }
    else{
        $("_txtFrontFor").innerHTML=ok
        return true 
    }
}

//承办单位
function txtUndertake(){
    if($("txtUndertake").value==""){
        $("_txtUndertake").innerHTML=Error[18]
        return false
    }
    else if($("txtUndertake").value.length<2){
        $("_txtUndertake").innerHTML=Error[17]
        return false
    }
    else{
        $("_txtUndertake").innerHTML=ok
        return true 
    }
}

//支持单位
function txtAidance(){
    if ($("txtAidance").value==""){
        $("_txtAidance").innerHTML=Error[18]
        return false
    }
    else if ($("txtAidance").value.length<2){
        $("_txtAidance").innerHTML=Error[17]
        return false
    }
    else{
        $("_txtAidance").innerHTML=ok
        return true 
    }
}

//展会简介
function txtSummary(){
    if($("txtSummary").value==""){
        $("_txtSummary").innerHTML=Error[18]
        return false
    }
    else if ($("txtSummary").value.length<2){
        $("_txtSummary").innerHTML=Error[17]
        return false
    }
    else{
        $("_txtSummary").innerHTML=ok
        return true
    }
}

//参展范围
function txtRange(){
    if($("txtRange").value==""){
        $("_txtRange").innerHTML=Error[18]
        return false
    }
    else if ($("txtRange").value.length<2){
        $("_txtRange").innerHTML=Error[17]
        return false
    }
    else{
        $("_txtRange").innerHTML=ok
        return true 
    }
}

//信息显示
var ok="<font color=#999999>输入符合规范</font>";
var title="<p>";
var titles="</p>"
var expos=new Array()
expos[0]=title+"请输入展会标题"+titles;
expos[1]=title+"请输入展会地点"+titles;
expos[2]=title+"请输入批准单位"+titles;
expos[3]=title+"请输入展会网址"+titles;
expos[4]=title+"请输入展览面积 面积/平方米"+titles;
expos[5]=title+"请输入上届参展商家 /家"+titles;
expos[6]=title+"请输入上届观众数 /人数"+titles;
expos[7]=title+"请输入标准展位单价 /平米"+titles;
expos[8]=title+"请输入展位起订量 /平米"+titles;
//处理显示信息
var TitleError="<font color='#FF0000'>"
var TitleErrors="</font>"
var Error=new Array()
Error[0]=TitleError+"展会标题不能为空，请重新设置展会标题"+TitleErrors
Error[1]=TitleError+"展会地点不能为空，请重新设置展会地点"+TitleErrors
Error[2]=TitleError+"批准单位不能为空，请重新设置批准单位"+TitleErrors
Error[3]=TitleError+"展会网址不能为空，请重新设置展会网址"+TitleErrors
Error[4]=TitleError+"展会面积不能为空，请重新设置展会面积"+TitleErrors
Error[5]=TitleError+"展会商家不能为空，请重新设置展会商家"+TitleErrors
Error[6]=TitleError+"参观人数不能为空，请重新设置参观人数"+TitleErrors
Error[7]=TitleError+"展位单价不能为空，请重新设置展位单价"+TitleErrors
Error[8]=TitleError+"展位起价不能为空，请重新设置展位起价"+TitleErrors
Error[9]=TitleError+"展会面积填写必须是数字，请重新设置展会面积"+TitleErrors
Error[10]=TitleError+"展会商家填写必须是数字，请重新设置展会商家"+TitleErrors
Error[11]=TitleError+"参观人数填写必须是数字，请重新设置参观人数"+TitleErrors
Error[12]=TitleError+"展位单价填写必须是数字，请重新设置展位单价"+TitleErrors
Error[13]=TitleError+"展位起价填写必须是数字，请重新设置展位起价"+TitleErrors
Error[14]=TitleError+"参展日期不能为空，请重新设置参展日期"+TitleErrors
Error[15]=TitleError+"上传图片不能为空，请重新设置上传图片"+TitleErrors
Error[16]=TitleError+"上传图片格式错误，请重新设置上传图片"+TitleErrors
Error[17]=TitleError+"输入内容太少最少20个文字，请重新输入"+TitleErrors
Error[18]=TitleError+"输入内容不能为空，请重新填写内容"+TitleErrors
